Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.metadata.identification
Interface Resolution

    @Profile(level=CORE)
    @UML(identifier="MD_Resolution",
         specification=ISO_19115)
    public interface Resolution

Level of detail expressed as a scale factor or a ground distance.

Since:
  GeoAPI 2.0

Method Summary
`Double` | `getDistance()` Ground sample distance.
`RepresentativeFraction` | `getEquivalentScale()` Level of detail expressed as the scale of a comparable hardcopy map or chart.

Method Detail

### getEquivalentScale

    @Profile(level=CORE)
    @UML(identifier="equivalentScale",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    RepresentativeFraction getEquivalentScale()

  Level of detail expressed as the scale of a comparable hardcopy map or chart. Only one of equivalent scale and ground sample distance may be provided.

### getDistance

    @Profile(level=CORE)
    @UML(identifier="distance",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    Double getDistance()

  Ground sample distance. Only one of equivalent scale and ground sample distance may be provided.

  TODO:
    change return type to ISO 19103 Distance
  Unit:
    Distance

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.